loci.plugins.in

## Class ThumbLoader

- java.lang.Object
- - loci.plugins.in.ThumbLoader

- All Implemented Interfaces:
    java.lang.Runnable

      public class ThumbLoader
      extends java.lang.Object
      implements java.lang.Runnable

  Loads thumbnails for Bio-Formats Importer series chooser in a separate thread.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ThumbLoader.SeriesInfo` Helper class for sorting series by image plane size.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Dialog` | `dialog`
    `private BufferedImageReader` | `ir`
    `private java.lang.Thread` | `loader`
    `private java.awt.Panel[]` | `p`
    `private boolean` | `stop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThumbLoader(IFormatReader ir, java.awt.Panel[] p, java.awt.Dialog dialog)` Constructs a new thumbnail loader.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `loadThumb(BufferedImageReader thumbReader, int series, java.awt.Panel panel, boolean quiet)`
    `void` | `run()` Does the work of loading the thumbnails.
    `void` | `stop()` Instructs the thumbnail loader to stop loading thumbnails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ir

          private BufferedImageReader ir

    - #### p

          private java.awt.Panel[] p

    - #### dialog

          private java.awt.Dialog dialog

    - #### stop

          private boolean stop

    - #### loader

          private java.lang.Thread loader

  - ### Constructor Detail

    - #### ThumbLoader

          public ThumbLoader(IFormatReader ir,
                             java.awt.Panel[] p,
                             java.awt.Dialog dialog)

      Constructs a new thumbnail loader.
      Parameters:
        `ir` - the reader to use for obtaining the thumbnails
        `p` - the panels upon which to populate the results
        `dialog` - the dialog containing the panels

  - ### Method Detail

    - #### stop

          public void stop()

      Instructs the thumbnail loader to stop loading thumbnails.

    - #### run

          public void run()

      Does the work of loading the thumbnails.
      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### loadThumb

          public static void loadThumb(BufferedImageReader thumbReader,
                                       int series,
                                       java.awt.Panel panel,
                                       boolean quiet)

Copyright © 2026 Open Microscopy Environment